#!/usr/bin/ruby

$ipr_data = Point.where(typ: 'ipr')
$osm_data = Point.where(typ: 'osm')

puts "Working with #{$osm_data.size} OSM and #{$ipr_data.size} IPR points"

$osm_unique = $osm_data.reject(&:has_neighbour?)
puts "In total #{$osm_unique.size} unique places in OSM which are not in IPR"

$ipr_unique = $ipr_data.reject(&:has_neighbour?)
puts "In total #{$ipr_unique.size} unique places in IPR which are not in OSM"

